#include <iostream>
#include <vector>
#include <set>
#include <algorithm>

using namespace std;
using ll = long long;

int main() {
    ll n, ans = 0;
    vector<ll> v;
    set<ll> in_using;

    cin >> n;
    v.resize(n);
    for (ll i = 0; i < n; i++) {
        cin >> v[i];
    }
    sort(v.begin(), v.end());

    for (ll i = n - 1; i > -1; i--) {
        vector <ll> temp;
        temp.push_back(v[i]);
        for (ll j = i - 1; j > -1; j--) {
            if (temp[temp.size() - 1] > v[j] && in_using.find(j) == in_using.end()) {
                temp.push_back(v[j]);
                in_using.insert(j);
            }
        }
        if (temp.size() > 1) {
            ans++;
        }
    }
    cout << ans;
}