#include <iostream>
#include <vector>
#include <set>
#include <algorithm>

using namespace std;
using ll = long long;

int main() {
    ll n, count = 0;
    set<ll> non_viewable;
    vector<ll> v;
    vector<set<ll>> graph;
    vector<set<ll>> ans(2, set<ll>());

    cin >> n;
    v.resize(n);
    graph.resize(n);
    for (int i = 0; i < n; i++) {
        cin >> v[i];
    }
    for (int i = 0; i < n; i++) {
        graph[i].insert(v[i] - 1);
        graph[v[i] - 1].insert(i);
    }

    for (int i = 0; i < n; i++) {
        if (graph[i].size() % 2 == 0) {
            count++;
        }
        if (count % 2 == 0 && count != 0) {
            non_viewable.insert(i);
        }
    }

    for (int i = 0; i < n; i++) {
        bool group = true;
        if (non_viewable.find(i) == non_viewable.end()) {
            for (ll el : graph[i]) {
                if (ans[0].find(el) != ans[0].end()) {
                    group = false;
                }
            }
            group ? ans[0].insert(i) : ans[1].insert(i);
        }
    }

    cout << non_viewable.size() << endl;
    for (ll el : ans[0]) {
        cout << el + 1 << " ";
    }
    cout << endl;
    for (ll el : ans[1]) {
        cout << el + 1 << " ";
    }
}
