#include <iostream>
#include <set>
#include <vector>
#include  <algorithm>

using namespace std;
using ll = long long;

bool does_have(int i, set<int> s) {
    return s.find(i) != s.end();
}

int main() {
    set<int> aviable;
    vector<int> flowers;
    int n, k;

    cin >> n >> k;
    flowers.resize(n);
    for (int i = 0; i < n; i++) {
        cin >> flowers[i];
    }

    aviable.insert(0);
    for (int j = 1; j < n; j++) {
        for (auto aviable_i: aviable) {
            if (abs(flowers[aviable_i] - flowers[j]) <= k) {
                aviable.insert(j);
                break;
            }
        }
    }

    for (int i = 0; i < flowers.size(); i++) {
        cout << does_have(i, aviable);
    }
}