#include <iostream>
#include <set>
#include <vector>
#include  <algorithm>

using namespace std;
using ll = long long;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    set<int> aviable;
    vector<int> flowers;
    int n, k;
    bool sym;

    cin >> n >> k;
    flowers.resize(n);
    for (int i = 0; i < n; i++) {
        cin >> flowers[i];
    }

    aviable.insert(0);
    for (int j = 1; j < n; j++) {
        for (auto aviable_i: aviable) {
            if (abs(flowers[aviable_i] - flowers[j]) <= k) {
                aviable.insert(j);
                break;
            }
        }
    }

    for (int i = 0; i < flowers.size(); i++) {
        sym = aviable.find(i) != aviable.end();
        cout << sym;
    }
}