#include <algorithm>
#include <iostream>
#include <set>
#include <vector>
#include <algorithm>
 
using namespace std;
using ll = long long;
 
bool does_have(int i, set<int> s) {
    return s.find(i) != s.end();
}
 
int main() {
    set<int> aviable;
    vector<int> flowers;
    int n, k;
 
    cin >> n >> k;
    flowers.resize(n);
    for (int i = 0; i < n; i++) {
        cin >> flowers[i];
    }
 
    aviable.insert(0);
    for (auto index : aviable) {
        for (int i = index + 1; i < n; i++) {
            if (abs(flowers[i] - flowers[index]) <= k) {
                aviable.insert(i);
            }
        }
    }
 
    for (int i = 0; i < flowers.size(); i++) {
            cout << does_have(i, aviable);
        }
    }