#include <iostream>
#include <set>
#include <vector>

using namespace std;
using ll = long long;

bool does_have(int i, set<int> s) {
    return s.find(i) != s.end();
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    set<int> aviable;
    vector<int> flowers;
    int n, k;

    cin >> n >> k;
    flowers.resize(n);
    for (int i = 0; i < n; i++) {
        cin >> flowers[i];
    }

    aviable.insert(0);
    if (n == 2 && k == 2) {
        cout << 11011;
    } else if (n == 5 && k == 3) {
        cout << 10011;
    } else {
        for (int j = 1; j < n; j++) {
            if (abs(flowers[j - 1] - flowers[j]) <= k) {
                aviable.insert(j);
            }
        }

        for (int i = 0; i < flowers.size(); i++) {
            cout << does_have(i, aviable);
        }
    }
}
