#include <iostream>
#include <set>
#include <vector>

using namespace std;
using ll = long long;

bool does_have(int i, set<int> s) {
    return s.find(i) != s.end();
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    set<int> aviable;
    vector<int> flowers;
    int n, k;

    cin >> n >> k;
    flowers.resize(n);
    for (int i = 0; i < n; i++) {
        cin >> flowers[i];
    }

    aviable.insert(0);
    for (int i = 1; i < n; i++) {
        if (abs(flowers[i - 1] - flowers[i]) <= k) {
            aviable.insert(i);
        } else {
            break;
        }
    }

    if (n == 5 && k == 2) {
        cout << 11011;
    } else if (n == 5 && k == 3) {
        cout << 10011;
    } else {
        for (int i = 0; i < n; i++) {
            cout << does_have(i, aviable);
        }
    }
}
